<?php
//about theme info
add_action( 'admin_menu', 'vw_kindergarten_gettingstarted' );
function vw_kindergarten_gettingstarted() {
	add_theme_page( esc_html__('About VW Kindergarten', 'vw-kindergarten'), esc_html__('About VW Kindergarten', 'vw-kindergarten'), 'edit_theme_options', 'vw_kindergarten_guide', 'vw_kindergarten_mostrar_guide');
}

// Add a Custom CSS file to WP Admin Area
function vw_kindergarten_admin_theme_style() {
	wp_enqueue_style('vw-kindergarten-custom-admin-style', esc_url(get_template_directory_uri()) . '/inc/getstart/getstart.css');
	wp_enqueue_script('vw-kindergarten-tabs', esc_url(get_template_directory_uri()) . '/inc/getstart/js/tab.js');
}
add_action('admin_enqueue_scripts', 'vw_kindergarten_admin_theme_style');

//guidline for about theme
function vw_kindergarten_mostrar_guide() { 
	//custom function about theme customizer
	$vw_kindergarten_return = add_query_arg( array()) ;
	$vw_kindergarten_theme = wp_get_theme( 'vw-kindergarten' );
?>

<div class="wrapper-info">
    <div class="col-left">
    	<h2><?php esc_html_e( 'Welcome to VW Kindergarten', 'vw-kindergarten' ); ?> <span class="version"><?php esc_html_e( 'Version', 'vw-kindergarten' ); ?>: <?php echo esc_html($vw_kindergarten_theme['Version']);?></span></h2>
    	<p><?php esc_html_e('All our WordPress themes are modern, minimalist, 100% responsive, seo-friendly,feature-rich, and multipurpose that best suit designers, bloggers and other professionals who are working in the creative fields.','vw-kindergarten'); ?></p>
    </div>

    <div class="tab-sec">
    	<div class="tab">
			<button class="tablinks" onclick="vw_kindergarten_open_tab(event, 'lite_theme')"><?php esc_html_e( 'Setup With Customizer', 'vw-kindergarten' ); ?></button>
			<button class="tablinks" onclick="vw_kindergarten_open_tab(event, 'gutenberg_editor')"><?php esc_html_e( 'Setup With Gutunberg Block', 'vw-kindergarten' ); ?></button>
		</div>

		<?php
			$vw_kindergarten_plugin_custom_css = '';
			if(class_exists('Ibtana_Visual_Editor_Menu_Class')){
				$vw_kindergarten_plugin_custom_css ='display: block';
			}
		?>
		<div id="lite_theme" class="tabcontent open">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
				$plugin_ins = vw_kindergarten_Plugin_Activation_Settings::get_instance();
				$vw_kindergarten_actions = $plugin_ins->recommended_actions;
				?>
				<div class="vw-kindergarten-recommended-plugins">
				    <div class="vw-kindergarten-action-list">
				        <?php if ($vw_kindergarten_actions): foreach ($vw_kindergarten_actions as $key => $vw_kindergarten_actionValue): ?>
				                <div class="vw-kindergarten-action" id="<?php echo esc_attr($vw_kindergarten_actionValue['id']);?>">
			                        <div class="action-inner">
			                            <h3 class="action-title"><?php echo esc_html($vw_kindergarten_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($vw_kindergarten_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($vw_kindergarten_actionValue['link']); ?>
			                            <a class="ibtana-skip-btn" get-start-tab-id="lite-theme-tab" href="javascript:void(0);"><?php esc_html_e('Skip','vw-kindergarten'); ?></a>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php } ?>
			<div class="lite-theme-tab" style="<?php echo esc_attr($vw_kindergarten_plugin_custom_css); ?>">
				<h3><?php esc_html_e( 'Lite Theme Information', 'vw-kindergarten' ); ?></h3>
				<hr class="h3hr">
				<p><?php esc_html_e('VW Kindergarten suits pre-schools, nursery, plat schools, daycare centers, infant and kids websites, kids art schools, kids hobby school, and kids store websites. WordPress expert has crafted this theme and has provided with an elegant as well as sophisticated design that can serve as a multipurpose one. Minimal design is its USP as the entire focus of your audience is going to be on the main content published. With a retina-ready and responsive design, you can be assured that your website is going to look fantastic on smartphones s well as desktops and laptops. A user-friendly interface is made available for users of all skill levels. This beautiful free theme doesn’t compromise on quality and includes optimized codes. These will make your website work incredibly well as they result in a streamlined design that gives fast page load time. SEO-friendly codes also take care of the SEO requirements. You can expect the Call To Action Button (CTA) to work for better conversion rates of your website. With the Bootstrap framework giving you an easily customizable design, the CSS animations included will further enhance your website’s look. Developers have made this modern theme translation ready supporting multiple languages by including .pot files in it.','vw-kindergarten'); ?></p>
			  	<div class="col-left-inner">
			  		<h4><?php esc_html_e( 'Theme Documentation', 'vw-kindergarten' ); ?></h4>
					<p><?php esc_html_e( 'If you need any assistance regarding setting up and configuring the Theme, our documentation is there.', 'vw-kindergarten' ); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_KINDERGARTEN_FREE_THEME_DOC ); ?>" target="_blank"> <?php esc_html_e( 'Documentation', 'vw-kindergarten' ); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Theme Customizer', 'vw-kindergarten'); ?></h4>
					<p> <?php esc_html_e('To begin customizing your website, start by clicking "Customize".', 'vw-kindergarten'); ?></p>
					<div class="info-link">
						<a target="_blank" href="<?php echo esc_url( admin_url('customize.php') ); ?>"><?php esc_html_e('Customizing', 'vw-kindergarten'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Having Trouble, Need Support?', 'vw-kindergarten'); ?></h4>
					<p> <?php esc_html_e('Our dedicated team is well prepared to help you out in case of queries and doubts regarding our theme.', 'vw-kindergarten'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_KINDERGARTEN_SUPPORT ); ?>" target="_blank"><?php esc_html_e('Support Forum', 'vw-kindergarten'); ?></a>
					</div>
					<hr>
					<h4><?php esc_html_e('Reviews & Testimonials', 'vw-kindergarten'); ?></h4>
					<p> <?php esc_html_e('All the features and aspects of this WordPress Theme are phenomenal. I\'d recommend this theme to all.', 'vw-kindergarten'); ?></p>
					<div class="info-link">
						<a href="<?php echo esc_url( VW_KINDERGARTEN_REVIEW ); ?>" target="_blank"><?php esc_html_e('Reviews', 'vw-kindergarten'); ?></a>
					</div>

					<div class="link-customizer">
						<h3><?php esc_html_e( 'Link to customizer', 'vw-kindergarten' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','vw-kindergarten'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','vw-kindergarten'); ?></a>
								</div>
							</div>

							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-slides"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_slidersettings') ); ?>" target="_blank"><?php esc_html_e('Slider Settings','vw-kindergarten'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-category"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_about_section') ); ?>" target="_blank"><?php esc_html_e('About Section','vw-kindergarten'); ?></a>
								</div>
							</div>
						
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','vw-kindergarten'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','vw-kindergarten'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','vw-kindergarten'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','vw-kindergarten'); ?></a>
								</div>
							</div>
						</div>
					</div>
			  	</div>
				<div class="col-right-inner">
					<h3 class="page-template"><?php esc_html_e('How to set up Home Page Template','vw-kindergarten'); ?></h3>
				  	<hr class="h3hr">
					<p><?php esc_html_e('Follow these instructions to setup Home page.','vw-kindergarten'); ?></p>
                  	<p><span class="strong"><?php esc_html_e('1. Create a new page :','vw-kindergarten'); ?></span><?php esc_html_e(' Go to ','vw-kindergarten'); ?>
					  	<b><?php esc_html_e(' Dashboard >> Pages >> Add New Page','vw-kindergarten'); ?></b></p>
                  	<p><?php esc_html_e('Name it as "Home" then select the template "Custom Home Page".','vw-kindergarten'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/home-page-template.png" alt="" />
                  	<p><span class="strong"><?php esc_html_e('2. Set the front page:','vw-kindergarten'); ?></span><?php esc_html_e(' Go to ','vw-kindergarten'); ?>
					  	<b><?php esc_html_e(' Settings >> Reading ','vw-kindergarten'); ?></b></p>
				  	<p><?php esc_html_e('Select the option of Static Page, now select the page you created to be the homepage, while another page to be your default page.','vw-kindergarten'); ?></p>
                  	<img src="<?php echo esc_url(get_template_directory_uri()); ?>/inc/getstart/images/set-front-page.png" alt="" />
                  	<p><?php esc_html_e(' Once you are done with setup, then follow the','vw-kindergarten'); ?> <a class="doc-links" href="<?php echo esc_url( VW_KINDERGARTEN_FREE_THEME_DOC ); ?>" target="_blank"><?php esc_html_e('Documentation','vw-kindergarten'); ?></a></p>
			  	</div>
			</div>
		</div>
		
		<div id="gutenberg_editor" class="tabcontent">
			<?php if(!class_exists('Ibtana_Visual_Editor_Menu_Class')){ 
			$plugin_ins = vw_kindergarten_Plugin_Activation_Settings::get_instance();
			$vw_kindergarten_actions = $plugin_ins->recommended_actions;
			?>
				<div class="vw-kindergarten-recommended-plugins">
				    <div class="vw-kindergarten-action-list">
				        <?php if ($vw_kindergarten_actions): foreach ($vw_kindergarten_actions as $key => $vw_kindergarten_actionValue): ?>
				                <div class="vw-kindergarten-action" id="<?php echo esc_attr($vw_kindergarten_actionValue['id']);?>">
			                        <div class="action-inner plugin-activation-redirect">
			                            <h3 class="action-title"><?php echo esc_html($vw_kindergarten_actionValue['title']); ?></h3>
			                            <div class="action-desc"><?php echo esc_html($vw_kindergarten_actionValue['desc']); ?></div>
			                            <?php echo wp_kses_post($vw_kindergarten_actionValue['link']); ?>
			                        </div>
				                </div>
				            <?php endforeach;
				        endif; ?>
				    </div>
				</div>
			<?php }else{ ?>
				<h3><?php esc_html_e( 'Gutunberg Blocks', 'vw-kindergarten' ); ?></h3>
				<hr class="h3hr">
				<div class="vw-kindergarten-pattern-page">
			    	<a href="<?php echo esc_url( admin_url( 'admin.php?page=ibtana-visual-editor-templates' ) ); ?>" class="vw-pattern-page-btn ibtana-dashboard-page-btn button-primary button"><?php esc_html_e('Ibtana Settings','vw-kindergarten'); ?></a>
			    </div>

			    <div class="link-customizer-with-guternberg-ibtana">
	              	<div class="link-customizer-with-block-pattern">
						<h3><?php esc_html_e( 'Link to customizer', 'vw-kindergarten' ); ?></h3>
						<hr class="h3hr">
						<div class="first-row">
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-buddicons-buddypress-logo"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[control]=custom_logo') ); ?>" target="_blank"><?php esc_html_e('Upload your logo','vw-kindergarten'); ?></a>
								</div>
								<div class="row-box2">
									<span class="dashicons dashicons-format-gallery"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_post_settings') ); ?>" target="_blank"><?php esc_html_e('Post settings','vw-kindergarten'); ?></a>
								</div>
							</div>
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-menu"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=nav_menus') ); ?>" target="_blank"><?php esc_html_e('Menus','vw-kindergarten'); ?></a>
								</div>
								
								<div class="row-box2">
									<span class="dashicons dashicons-text-page"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_footer') ); ?>" target="_blank"><?php esc_html_e('Footer Text','vw-kindergarten'); ?></a>
								</div>
							</div>
							
							<div class="row-box">
								<div class="row-box1">
									<span class="dashicons dashicons-admin-generic"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[section]=vw_kindergarten_left_right') ); ?>" target="_blank"><?php esc_html_e('General Settings','vw-kindergarten'); ?></a>
								</div>
								 <div class="row-box2">
									<span class="dashicons dashicons-screenoptions"></span><a href="<?php echo esc_url( admin_url('customize.php?autofocus[panel]=widgets') ); ?>" target="_blank"><?php esc_html_e('Footer Widget','vw-kindergarten'); ?></a>
								</div> 
							</div>
						</div>
					</div>	
				</div>
			<?php } ?>
		</div>

	</div>
</div>

<?php } ?>